# SphinxClient::setGroupDistinct

(PECL sphinx >= 0.1.0)

SphinxClient::setGroupDistinct — Set attribute name for per-group distinct values count calculations

### Description

public SphinxClient::setGroupDistinct ( string `$attribute` ) : bool

Sets attribute name for per-group distinct values count calculations. Only available for grouping queries. For each group, all values of `attribute` will be stored, then the amount of distinct values will be calculated and returned to the client. This feature is similar to COUNT(DISTINCT) clause in SQL.

### Parameters

`attribute`

  A string containing group-by attribute name.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- SphinxClient::setSortMode
- SphinxClient::setGroupBy
- SphinxClient::resetGroupBy